commit: d81832e0e855992c4101a7d6a0e520231a670d28
Author: Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 1 21:47:27 2017 +0000
Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Sat Apr 1 21:53:39 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d81832e0
dev-perl/List-MoreUtils-XS: Add w/ version 0.418.0
Split out from dev-perl/List-MoreUtils
Keywords copied from there as its the same codebase
originally upstream.
Package-Manager: Portage-2.3.4, Repoman-2.3.2
.../List-MoreUtils-XS-0.418.0.ebuild | 31 ++++++++++++++++++++++
dev-perl/List-MoreUtils-XS/Manifest | 1 +
dev-perl/List-MoreUtils-XS/metadata.xml | 12 +++++++++
3 files changed, 44 insertions(+)
diff --git a/dev-perl/List-MoreUtils-XS/List-MoreUtils-XS-0.418.0.ebuild
b/dev-perl/List-MoreUtils-XS/List-MoreUtils-XS-0.418.0.ebuild
new file mode 100644
index 00000000000..78e950e5b3e
--- /dev/null
+++ b/dev-perl/List-MoreUtils-XS/List-MoreUtils-XS-0.418.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DIST_AUTHOR=REHSACK
+DIST_VERSION=0.418
+inherit perl-module
+
+DESCRIPTION="Compiled List::MoreUtils functions"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390
~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux
~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="test"
+# See XS.pm/LICENSE
+LICENSE="Apache-2.0 || ( Artistic GPL-1+ )"
+
+RDEPEND="
+ !<dev-perl/List-MoreUtils-0.417.1
+ >=virtual/perl-XSLoader-0.220.0
+"
+DEPEND="${RDEPEND}
+ virtual/perl-Carp
+ virtual/perl-ExtUtils-MakeMaker
+ virtual/perl-File-Path
+ virtual/perl-File-Spec
+ virtual/perl-IPC-Cmd
+ test? (
+ >=dev-perl/List-MoreUtils-0.417.1
+ >=virtual/perl-Test-Simple-0.960.0
+ )
+"
diff --git a/dev-perl/List-MoreUtils-XS/Manifest
b/dev-perl/List-MoreUtils-XS/Manifest
new file mode 100644
index 00000000000..614e5163472
--- /dev/null
+++ b/dev-perl/List-MoreUtils-XS/Manifest
@@ -0,0 +1 @@
+DIST List-MoreUtils-XS-0.418.tar.gz 129838 SHA256
0aa41a90337bb1ec48db50e5c73875b960685ff4dd49c26ed39dea0d52752d4f SHA512
1f6b9adfe641afe45ee3bb9d6df8f81d20916cff860c4955200026302da82799939d309dd2412af10ad1874e4e0528a63e8852e543a667942f1c582cb522b4b1
WHIRLPOOL
7842b37186257c325d32420d31098ffb3263e47b982185d287676e8654f66ca71f5e7119c349c625561e395708892802cfda4e5fb07a10d3201e1e3b4eaaee89
diff --git a/dev-perl/List-MoreUtils-XS/metadata.xml
b/dev-perl/List-MoreUtils-XS/metadata.xml
new file mode 100644
index 00000000000..02e2197d621
--- /dev/null
+++ b/dev-perl/List-MoreUtils-XS/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>[email protected]</email>
+ <name>Gentoo Perl Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="cpan">List-MoreUtils-XS</remote-id>
+ <remote-id type="cpan-module">List::MoreUtils::XS</remote-id>
+ </upstream>
+</pkgmetadata>